Skip to main content

Invite Player By Uuid V2

POST 

/session/v2/session/:session_id/player/:player_uuid:invite

Invite a player to the session

Required Permissions:

  • For any player (including themselves) any of: session:*, session:update:any, session:update:self

Required Session Permissions: invite for users that do not have the above permissions, and are not a session admin

Request

Path Parameters

    player_uuid uuidrequired
    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

Query Parameters

    refresh_ttl Refresh Ttl

    Default value: true

Body

required

    team_id Team Id (integer)

    Which team the invited players should prioritize being put on

    overflow_action TeamOverflowAction (string)

    Possible values: [fail, allow_overflow, partial_with_overflow, partial_without_overflow, overfill]

    How too many players being invited to a single team should be handled

    custom_data

    object

    Custom data for all players being invited

    property name* string

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    player_uuid uuid

    Player UUID of the player updated

    status SessionPlayerStatus (string)required

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    team_id Team Id (integer)required

    Which team the player joined

    custom_data

    object

    Resulting custom data about the player

    property name* string
Loading...